Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.content
Class AbstractContent

    java.lang.Object
      com.servingxml.components.content.AbstractContent

All Implemented Interfaces:
  Content, Stringable

Direct Known Subclasses:
  AbstractXmlFilterAppender, CachedContent, DefaultDocument, Document, DynamicContent, EmptyDocument, LiteralContentFilterAppender, RecordContent, SerializedContent, TransformedContent, WrappedContent

    public abstract class AbstractContent

extends java.lang.Object
implements Content

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.string.Stringable
`Stringable.EmptyStringable`

Field Summary

Fields inherited from interface com.servingxml.components.content.Content
`EMPTY_ARRAY`

Fields inherited from interface com.servingxml.components.string.Stringable
`EMPTY`

Constructor Summary
`AbstractContent()`
`AbstractContent(OutputPropertyFactory[] defaultOutputPropertyFactories)`

Method Summary
`java.util.Properties` | `createDefaultOutputProperties(ServiceContext context, Flow flow)`
`java.lang.String` | `createString(ServiceContext context, Flow flow)`
`void` | `execute(ServiceContext context, Flow flow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.content.Content
`appendToXmlPipeline, createSaxSource, createXmlPipeline`

Constructor Detail

### AbstractContent

    public AbstractContent()

### AbstractContent

    public AbstractContent(OutputPropertyFactory[] defaultOutputPropertyFactories)

Method Detail

### createString

    public java.lang.String createString(ServiceContext context,
                                         Flow flow)

  Specified by:
    `createString` in interface `Stringable`

### execute

    public void execute(ServiceContext context,
                        Flow flow)

### createDefaultOutputProperties

    public java.util.Properties createDefaultOutputProperties(ServiceContext context,
                                                              Flow flow)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD